Skip to content

Get Circuit Breaker Status

Endpoint: GET /api/registry/service/{name}/circuit-breaker/status

Retrieves the current circuit breaker status for a service.

Note

The circuit breaker is initialized only after at least one request has been made to the service. If no request has been made yet, this endpoint returns NOT_FOUND.

Path parameters

Parameter Description Type Required/ Optional
name The name of the service whose circuit breaker status is to be retrieved. string Required.

Response

Returns a 200 OK with the circuit breaker status, including the service name, previous and current states, transition timestamp, and a status message.

Examples

Get circuit breaker status

Request

curl -X 'GET' \
  'https://<YOUR-SERVER-URL>/api/registry/service/petstore/circuit-breaker/status' \
  -H 'accept: application/json' \
  -H 'X-Authorization: <TOKEN>'

Response

{
  "service": "petstore",
  "previousState": "NOT_FOUND",
  "currentState": "NOT_FOUND",
  "transitionTimestamp": 0,
  "message": "No active circuit breaker for service: petstore. Execute a request to the service to initialize the circuit breaker."
}